Subject: Pruning hollies, evergreens, azaleas, and forsythia

From: [email-masked] (Dilip Barman)
Date: 5 Apr 1995 17:51:33 -0400

(I keep up with triangle.gardens but not rec.gardens; please send
responses directly to me -- [email-masked] -- or to triangle.gardens.)

When is the right time and what is the right amount to prune hollies,
evergreens, azaleas and forsythia?  Also, I put a big weeping cherry in
this past winter and was very anxious to see it bloom.  It came up with
like 4 blossoms one morning a few weeks ago and that same evening had
about a dozen - but that's it!  Now the dozen blossoms are pretty much
gone and I have lots of foliage.  Did it not flower much because it was
the first year?  Do I need to prune or fertilize the cherry now?  Thanks!!

      Dilip
(zone 7)

-- 
  Dilip Barman, Dept. of Computer Science
  University of North Carolina, CB 3175
  Chapel Hill, North Carolina 27599	
  (919)962-1821, Fax -1799; [email-masked] http://www.cs.unc.edu/~barman